<ion-header #pagetop style="background-size: cover; background-image: url({{categoria?.imagen}});">
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-button color="light" (click)="goBack()">
        <ion-icon src="assets/icon/ico-back.svg" slot="icon-only"></ion-icon>
      </ion-button>
    </ion-buttons>

    <div class="ion-text-center">
      <div class="t_opcion">{{categoria?.nombreEs || "Categoria"}}</div>
      <!-- <h2 class="button-option" (click)="verCategoria()">Ver todos</h2> -->
    </div>

    <ion-buttons slot="end">
      <ion-button color="light">
        <img src="../assets/imgs/logo.svg" class="logomain" />
      </ion-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>


<ion-content>

  <div class="categoria">
    <img src="{{categoria?.imagen}}" alt="Categoria" style="width: 100%;">
  </div>

  <ion-col size="12">
    <div class="productos">
      <div class="producto" *ngFor="let item of productos" (click)="selectProducto(item.id)">
        <div class="image_shop"
          [ngStyle]="{'background-image':'url('+item.imagen+')','background-size':'cover','background-position':'center'}">
          <!--<img src="{{item.imagen}}"/>-->
        </div>
        <div class="title_shop" style="overflow: hidden;
        text-overflow: ellipsis;
        -webkit-line-clamp: 2;
        display: -webkit-box;
        -webkit-box-orient: vertical;">{{item.nombreEs}}</div>
        <div class="desde" *ngIf="!categoria.propiedades">desde</div>
        <div class="price_shop">{{item.precioUnidad || "$0"}}</div>
        <ion-button padding size="small" color="primary" class="add" [hidden]="productoAgregado(item.id)" [disabled]="nologin">
          Agregar al carrito <ion-icon src="assets/icon/ico-carrito-inv.svg"></ion-icon>
        </ion-button>
        <ion-button padding size="small" color="danger" class="addok" [hidden]="!productoAgregado(item.id)">Producto
          Agregado</ion-button>
      </div>
    </div>

    <!-- <ion-slides [options]="sliderConfig">
	  <ion-slide *ngFor="let item of productos" (click)="selectProducto(item.id)">
	  	<div class="image_shop">
	  		<img src="{{item.imagen}}"/>
	  	</div>
	  	<div class="title_shop">{{item.nombreEs}}</div>
	    <div class="price_shop">{{item.precio | currency:"COP$":true:"1.0" }}</div>
	    <ion-button padding size="small" color="primary" class="add" [hidden]="productoAgregado(item.id)">
	    	Agregar al carrito <ion-icon src="assets/icon/ico-carrito-inv.svg"></ion-icon>
	    </ion-button>
	    <ion-button padding size="small" color="danger" class="addok" [hidden]="!productoAgregado(item.id)">Producto Agregado</ion-button> 
	  </ion-slide>  
	</ion-slides> -->

  </ion-col>

</ion-content>